.text-field {
  @color-red: #e21062;
  position: relative;
  height: 64px;
  border-radius: 4px;
  padding: 2px 40px 2px 16px;
  background-color: #f0f2f3;
  font-family: 'Glober-Bold', sans-serif;

  &--focus {
    background-color: white;
    border-radius: 4px;
    border: solid 2px #d5dde0;
    padding: 0 38px 0 14px;
    transition: 100ms easy;
  }
  &.ng-invalid.ng-dirty {
    background-color: #fceaf1;
  }
  &--focus&.ng-invalid.ng-dirty {
    background-color: white;
    border-color: @color-red;
  }
  &__placeholder {
    font-size: 17px;
    margin: 22px 0 16px 0;
    font-weight: normal;
    color: #758191;
    user-select: none;
  }
  &--focus &__placeholder {
    transition: 100ms ease;
  }
  &--focus &__placeholder, &--has-text &__placeholder {
    margin-top: 14px;
    margin-bottom: 0;
    font-size: 13px;
    letter-spacing: 0.3px;
  }
  &__input {
    opacity: 0;
    width: 100%;
    font-size: 17px;
    background-color: transparent;
    border: none;
    color: #333;
    box-shadow: none !important;
    &:focus {
      outline: none;
    }
  }
  &--focus &__input, &--has-text &__input{
    opacity: 1;
    transition: 110ms step-end;
  }
  &__input-with-icon {
    display: flex;
    align-items: center;
  }

  &__input-img-ok, &__input-img-error {
    width: 0;
    height: 13px;
    margin-top: -3px;
    opacity: 0;
    transition: 100ms ease;
  }
  &.ng-valid.ng-dirty:not(&--focus)&--has-text {
    background-color: #fafce8;
  }
  &.ng-invalid.ng-dirty:not(&--focus)&--has-text &__input-img-error, &.ng-valid.ng-dirty:not(&--focus)&--has-text &__input-img-ok {
    width: 13px;
    opacity: 1;
    margin-right: 6px;
    transition: 100ms ease;

  }

  &__error {
    opacity: 0;
    align-items: center;
    position: absolute;
    background-color: @color-red;
    color: #eef0f1;
    width: 100%;
    font-size: 14px;
    height: 40px;
    top: 64px;
    left: 0;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    & > p {
      margin: 11px 17px 6px 17px;
      display: none;
    }
  }
  &.ng-invalid-email.ng-dirty &__error p.email-error-msg{
    display: block;
  }
  &.ng-invalid-required:not(.ng-invalid-email).ng-dirty &__error p.required-error-msg {
    display: block;
  }
  &.ng-invalid.ng-dirty&--focus &__error {
    opacity: 1;
    width: calc(100% + 4px);
    left: -2px;
    transition: opacity 100ms ease;
  }
  &.ng-invalid.ng-dirty:hover &__error {
    opacity: 1;
    transition: opacity 100ms ease;
  }
}
